<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package expertio
 */

get_header();
$default_args          = array(
	'before_widget' => '<div id="%1$s" class="tk-widgetbox">',
	'after_widget'  => '</div>',
	'before_title'  => '<h5>',
	'after_title'   => '</h5>',
);
?>
<div class="tk-main-section">
	<div class="container">
		<div class="row tk-blogs-bottom">
			<div class="col-md-8">
				<section class="expertio-error-404 no-results not-found">
					<header class="expertio-page-header">
						<h1 class="expertio-page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'expertio' ); ?></h1>
					</header>
					<div class="expertio-page-content">
						<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'expertio' ); ?></p>
						<?php get_search_form();?>
					</div>
				</section>
			</div>
			<div class="col-md-4">
				<aside>
					<div class="tk-theme-asideholder">
						<div class="tk-asidebox">
							<?php the_widget( 'WP_Widget_Recent_Posts' );?>
							<div class="expertio-widget expertio-widget_categories tk-widgetbox">
								<h2 class="expertio-widget-title"><?php esc_html_e( 'Most used categories', 'expertio' ); ?></h2>
								<ul>
									<?php
										wp_list_categories(
											array(
												'orderby'    => 'count',
												'order'      => 'DESC',
												'show_count' => 1,
												'title_li'   => '',
												'number'     => 10,
											)
										);
									?>
								</ul>
							</div>
							<?php
								the_widget( 'WP_Widget_Archives', 'dropdown=1', $default_args );
								the_widget( 'WP_Widget_Tag_Cloud',array(),$default_args );
							?>
						</div>
					</div>
				</aside>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
