<?php
/**
 *
 * Comments Page
 *
 * @package   Expertio
 * @author    Amentotech
 * @link      https://themeforest.net/user/amentotech/portfolio
 * @version 1.0
 * @since 1.0
 */
if (post_password_required()) {
    return;
}

if (have_comments()) { ?>
	<div id="expertio-comments" class="expertio-comments tk-theme-box">
		<div class="tk-maintitle"><h3><?php comments_number(esc_html__('0 comment' , 'expertio') , esc_html__('1 comment' , 'expertio') , esc_html__('% comments' , 'expertio')); ?></h3></div>
		<ul><?php wp_list_comments(array ('callback' => 'expertio_comments' ));?></ul>
		<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
			<div class="expertio-haslayout expertio-comments-paginate">
				<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
					<span class="expertio-comment-prev"><?php previous_comments_link(esc_html__('&larr; Older comments', 'expertio')); ?></span>
					<span class="expertio-comment-next"><?php next_comments_link(esc_html__('Newer comments &rarr;', 'expertio')); ?></span>
				<?php endif; ?>
			</div>
		<?php endif;?>
	</div>	
<?php } ?>

<?php if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) {?>
		<div class="expertio-comments-closed"><?php esc_html_e('Comments are closed.', 'expertio');?></div>
<?php }?>

<?php if ( comments_open() ) { ?>
	<?php 
		$comments_args = array(
			'must_log_in'			=> '<div class="form-group"><p class="expertio-must-log-in">' .  sprintf( __( "You must be %slogged in%s to post a comment.", 'expertio' ), '<a href="'.esc_url(wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) )).'">', '</a>' ) . '</p></div>',
			
			'logged_in_as'			=> '<div class="form-group"><p class="expertio-logged-in-as">' . esc_html__( "Logged in as",'expertio' ).' <a href="' .esc_url( admin_url( "profile.php" ) ).'">'.$user_identity.'</a>. <a href="' .esc_url(wp_logout_url(get_permalink())).'" title="' . esc_attr__("Log out of this account", 'expertio').'">'. esc_html__("Log out &raquo;", 'expertio').'</a></p></div>',
			
			'comment_field'			=> '<div class="form-group"><textarea name="comment" id="comment" cols="39" rows="5" tabindex="4" class="form-control" placeholder="'. esc_attr__("Type your comment", 'expertio').'"></textarea></div>',

			'fields' => apply_filters( 'expertio_default_comment_fields', array(
				'author'	=> '<div class="form-group  form-group-half"><div class="tk-placeholderholder"><input type="text" name="author" id="author" value="'. esc_attr( $commenter['comment_author'] ) .'" placeholder="'. esc_attr__("Your name (required)", 'expertio').'" size="22" tabindex="1" aria-required="true" class="form-control" /></div></div>',

				'email'	=> '<div class="form-group  form-group-half"><div class="tk-placeholderholder"><input type="text" name="email" id="email" value="'. esc_attr( $commenter['comment_author_email'] ) .'" placeholder="'. esc_attr__("Your email (required)", 'expertio').'" size="22" tabindex="2" aria-required="true" class="form-control"  /></div></div>',
				
				'url'	=> '<div class="form-group"><div class="tk-placeholderholder"><input type="text" name="url" id="url" value="'. esc_attr( $commenter['comment_author_url'] ) .'" placeholder="'. esc_attr__("Website", 'expertio').'" size="22" tabindex="3" class="form-control" /></div></div>'
			)),
			
			'notes'                => '' ,
			'comment_notes_before' => '' ,
			'comment_notes_after'  => '' ,
			'id_form'              => 'tk-themeform' ,
			'id_submit'            => 'expertio-formtheme' ,
			'class_form'           => 'tk-themeform' ,
			'class_submit'         => 'tk-theme-btn',
			'class_container'      => 'comment-respond tk-theme-box',
			'name_submit'          => 'submit' ,
			'title_reply'          => esc_html__('Leave your comment' , 'expertio') ,
			'title_reply_to'       => esc_html__('Leave a reply to %s' , 'expertio') ,
			'title_reply_before'   => '<div class="tk-maintitle"><h3>' ,
			'title_reply_after'    => '</h3></div>' ,
			'cancel_reply_before'  => '' ,
			'cancel_reply_after'   => '' ,
			'cancel_reply_link'    => esc_html__('Cancel reply' , 'expertio') ,
			'label_submit'         => esc_html__('Post comment' , 'expertio') ,
			'submit_button'        => '<div class="form-group"><button name="%1$s" type="submit" id="%2$s" class="tk-theme-btn" value="%4$s"> '.esc_html__( 'Post comment', 'expertio' ).'</button></div>' ,
			'submit_field'         => ' %1$s %2$s ' ,
			'format'               => 'xhtml' ,
		);
		comment_form($comments_args);
	?>

<?php }