<?php
/**
 * Expertio footer template
 *
 * @link https://themeforest.net/user/amentotech/portfolio
 *
 * @package expertio
 */
global $servento_settings;

$footer_copyright 	= !empty($servento_settings['copyright']) ? $servento_settings['copyright'] : esc_html__('Copyright &copy;', 'expertio') . date('Y') . '&nbsp;' . get_bloginfo();
$footer_menu 		= !empty($servento_settings['footer_menu']) ? $servento_settings['footer_menu'] : '';
?>
<footer class="tk-mainfooter">
	<?php if ( is_active_sidebar('expertio-sidebar-f1') || is_active_sidebar('expertio-sidebar-f2') || is_active_sidebar('expertio-sidebar-f3') ) {?>
		<div class="container">
			<div class="row tk-footer gy-4">
				<?php if (is_active_sidebar('expertio-sidebar-f1')) : ?>
					<div class="col-lg-6">
						<?php dynamic_sidebar('expertio-sidebar-f1'); ?>
					</div>
				<?php endif; ?>
				<?php if (is_active_sidebar('expertio-sidebar-f2')) : ?>
					<div class="col-sm-6 col-lg-3">
						<?php dynamic_sidebar('expertio-sidebar-f2'); ?>
					</div>
				<?php endif; ?>
				<?php if (is_active_sidebar('expertio-sidebar-f3')) : ?>
					<div class="col-sm-6 col-lg-3">
						<?php dynamic_sidebar('expertio-sidebar-f3'); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	<?php } ?>
	
	<div class="tk-footerbtm">
		<div class="container">
			<div class="row justify-content-between gy-3">
				<?php if(!empty($footer_copyright)){?>
					<div class="col-lg-6">
						<div class="tk-footerbtmtitle">
							<h6><?php echo esc_html($footer_copyright);?></h6>
						</div>
					</div>
				<?php }?>
				<?php if(!empty($footer_menu)){?>
					<div class="col-lg-6">
						<?php
							wp_nav_menu(
								array(
									'menu_class'		=> 'tk-footetbtmlinks',
									'theme_location' 	=> 'footer-menu',
									'menu_id'        	=> 'footer-menu',
								)
							);
						?>
					</div>
				<?php }?>
			</div>
		</div>
	</div>
</footer>