<?php
/**
 * Expertio header template
 *
 * @link https://themeforest.net/user/amentotech/portfolio
 *
 * @package expertio
 */
global $servento_settings;
$site_loader	= !empty($servento_settings['site_loader']) ? $servento_settings['site_loader'] : '';
$loader_type	= !empty($servento_settings['loader_type']) ? $servento_settings['loader_type'] : '';
$loader_image	= !empty($servento_settings['loader_image']['url']) ? $servento_settings['loader_image']['url'] : '';
$preloader = '';

$logo					= !empty($servento_settings['main_logo']['url']) ? $servento_settings['main_logo']['url'] : get_template_directory_uri() . '/images/logo.svg';
$page_id 				= get_the_ID();
$blogname 				= wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);

if (!empty($site_loader) ) {
	if ( !empty($loader_type) && $loader_type == 'default' ) {?>
		<div class="preloader-outer">
			<div class="sv-preloader_holder">
				<div class="sv-loader">
					<img class="fa-spin" src="<?php echo esc_url(get_template_directory_uri().'/images/loader.png'); ?>" alt="<?php esc_attr_e('Loading...', 'expertio'); ?>" />
				</div>
			</div>
		</div>
		<?php
	} elseif(!empty($loader_image)) {?>
		<div class="preloader-outer">
			<div class="sv-preloader_holder">
				<div class="sv-loader">
					<img class="fa-spin" src="<?php echo esc_url($loader_image); ?>" alt="<?php esc_attr_e('Loading...', 'expertio'); ?>" />
				</div>
			</div>
		</div>
		<?php
	}
}
?>
<header class="tk-header">
	<div class="container-fluid">
		<div class="row">
			<div class="col-12">
				<div class="tk-headerwrap">
					<?php if(!empty($logo)){?>
						<strong class="tk-logo"><a href="<?php echo esc_url(home_url('/')); ?>"><img class="amsvglogo" src="<?php echo esc_url($logo);?>" alt="<?php esc_attr($blogname);?>"></a></strong>
					<?php }?>
					<?php do_action('servento_process_headers_search'); ?>
					<nav class="navbar-expand-xl tk-navbar">
						<div class="tk-navbar-right">
							<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="<?php esc_attr_e('Toggle navigation','expertio');?>">
								<span class="icon-menu"></span>
							</button>
							<div class="collapse navbar-collapse" id="navbarNav">
								<?php
									wp_nav_menu(
										array(
											'theme_location' => 'primary-menu',
											'menu_id'        	=> 'primary-menu',
											'menu_class'        => 'navbar-nav tk-navbar-nav',
										)
									);
								?>
							</div>
						</div>
					</nav>
					<?php do_action('servento_process_user_profile_menu');?>
				</div>
			</div>
		</div>
	</div>
</header>