<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package expertio
 */
global $wp_query;
$show_posts    	= get_option('posts_per_page');

get_header();
$section_col = 'col-xl-8';
if ( !is_active_sidebar( 'expertio-sidebar' ) ) {
	$section_col = 'col-xl-12';
}
?>
<div class="tk-main-section">
	<div class="container">
		<div class="row tk-blogs-bottom">
			<div class="<?php echo esc_attr($section_col);?>">
			<?php if ( have_posts() ) {?>
				<header class="page-header">
					<h1 class="page-title">
						<?php printf( esc_html__( 'Search Results for: %s', 'expertio' ), '<span>' . get_search_query() . '</span>' );?>
					</h1>
				</header>
				<?php
					while ( have_posts() ){
						the_post();
						get_template_part( 'template-parts/content', 'search' );

					}
									   
					if ($wp_query->found_posts > $show_posts) {
						if (function_exists('expertio_pagination')) {
							echo expertio_pagination('' , $show_posts);
						}
					}
									  
				}else{
					get_template_part( 'template-parts/content', 'none' );
				}
			?>
			</div>
			<?php if ( is_active_sidebar( 'expertio-sidebar' ) ) {?>
				<div class="col-lg-4">
					<div class="theme-">
						<div class="tk-asidebox">
							<?php get_sidebar();?>
						</div>
					</div>
				</div>
			<?php }?>
		</div>
	</div>
</div>
<?php
get_footer();
