<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package expertio
 */
global $servento_settings;
$author_details	= !empty($servento_settings['author_details']) ? $servento_settings['author_details'] : '';
get_header();
$section_col = 'col-xl-12';
if(!empty($author_details) && is_active_sidebar( 'expertio-single-sidebar' )){
	$section_col = 'col-xl-8';
}
?>
<div class="tk-main-section">
	<div class="container">
	<?php 
		while ( have_posts() ) :
			the_post();
			$object_id 			= get_the_author_meta( 'ID' );
			$facebook	   		= get_user_meta( $object_id, 'facebook', true);
			$twitter	   		= get_user_meta( $object_id, 'twitter', true);
			$linkedin	   		= get_user_meta( $object_id, 'linkedin', true);
			$pinterest	   		= get_user_meta( $object_id, 'pinterest', true);
			$instagram	   		= get_user_meta( $object_id, 'instagram', true);
		?>
		<div class="row">
			<div class="col-12">
				<div class="tk-blogbanner">
					<div class="tk-helpsuppotcontainer">
						<div class="tk-tehelpop">
							<?php expertio_entry_footer(); ?>
							<h3><?php the_title()?></h3>
							<ul class="tk-blogviewdates">
								<li><?php expertio_posted_on();?></li>
								<li><?php expertio_posted_by();?></li>
							</ul>
						</div>
					</div>
					<?php expertio_post_thumbnail(); ?>
				</div>
			</div>
		</div>
		<div class="row tk-blogs-bottom">
			<div class="<?php echo esc_attr($section_col);?>">
				<?php
					get_template_part( 'template-parts/content', get_post_type() );

					the_post_navigation(
						array(
							'prev_text' => '<span class="expertio-nav-subtitle"><i class="icon-arrow-left"></i>&nbsp;' . esc_html__( 'Previous', 'expertio' ) . '</span>',
							'next_text' => '<span class="expertio-nav-subtitle">' . esc_html__( 'Next', 'expertio' ) . '&nbsp;<i class="icon-arrow-right"></i></span>',
						)
					);

					// If comments are open or we have at least one comment, load up the comment template.
					if ( ( comments_open() || get_comments_number() ) && get_post_type() === 'post' ) :
						comments_template();
					endif;
				?>
			</div>
			<?php if(!empty($author_details) && is_active_sidebar( 'expertio-single-sidebar' ) ){?>
				<div class="col-xl-4">
					<?php if(!empty($author_details)){?>
						<div class="tk-blogprofileuser tk-single-author-box">
							<figure><?php echo get_avatar($object_id, 100); ?></figure>
							<div class="tk-profilrtitle">
								<h6><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php esc_html_e('Blog author','expertio');?></a></h6>
								<h5><?php echo get_the_author(); ?></h5>
							</div>
							<?php if (!empty($facebook) || 
								!empty($twitter) || 
								!empty($pinterest) || 
								!empty($linkedin) ||  
								!empty($instagram)) {
								?>
								<ul class="tk-socailmedia">
									<li><a class="tk-facebook" href="<?php echo esc_url($facebook); ?>" target="_blank"><i class="fab fa-facebook-f"></i></a></li>
									<li><a class="tk-twitter" href="<?php echo esc_url($twitter); ?>" target="_blank"><i class="fab fa-twitter"></i></a></li>
									<li><a class="tk-linkedin" href="<?php echo esc_url($linkedin); ?>" target="_blank"><i class="fab fa-linkedin"></i></a></li>
									<li><a class="tk-pinterest" href="<?php echo esc_url($pinterest); ?>" target="_blank"><i class="fab fa-pinterest"></i></a></li>
									<li><a class="tk-instagram" href="<?php echo esc_url($instagram); ?>" target="_blank"><i class="fab fa-instagram"></i></a></li>
								</ul>
							<?php }?>
							<?php if ( get_the_author_meta( 'description',$object_id ) ) : ?>
								<div class="tk-blogprofileuser__description"><p><?php the_author_meta( 'description',$object_id ); ?></p></div>
							<?php endif; ?>
							<div class="tk-btnarea">
								<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="tk-theme-btn"><?php esc_html_e('View all posts','expertio');?></a>
							</div>
						</div>
					<?php }?>
					<?php if ( is_active_sidebar( 'expertio-single-sidebar' ) ) {?>
						<div class="tk-theme-asideholder">
							<div class="tk-asidebox">
								<?php dynamic_sidebar( 'expertio-single-sidebar' ); ?>
							</div>
						</div>
					<?php }?>
				</div>
			<?php }?>
		</div>
		<?php endwhile; // End of the loop.?>
	</div>
</div>
<?php
get_footer();
